PHP Version in der .htaccess definieren

Webdesign - Tutorial

Für einen von mir erstellten Webshop für georgische Weine (www.phiala.de) wollte ich eben ein Modul von billsafe installieren. Dabei stieß ich auf das Problem, dass am Server derzeit die PHP-Version 4.2.2.9 verwendet wird - für das Modul wird aber die Version 5 benötigt. Der Hostingprovider all-inkl.com bietet zum Glück die Funktion zwischen mehreren PHP-Versionen zu wählen - dies per .htaccess.

Eintrag in die .htaccess

Folgende Zeilen müssen in die .htaccess eingetragen werden, damit eine Änderung der Version auf zB PHP-5 möglich ist:

# PHP5-CGI
AddHandler php5-cgi .php

 

Auch andere Hostingprovider bieten diese Funktion - am besten einfach beim Anbieter nachschauen oder nachfragen.
Bei meineim eigenen kann ich wie schon im Beitrag zur Abfrage der PHP-Version beschrieben, die Version sogar im Kundencenter einfach umstellen.